Debian Bug report logs - #279297
slpd: should start at 18 to start before slapd

version graph

Package: slpd; Maintainer for slpd is Debian QA Group <packages@qa.debian.org>; Source for slpd is src:openslp-dfsg.

Reported by: "J. D. Nurmi" <jdnurmi@gmail.com>

Date: Tue, 2 Nov 2004 06:18:01 UTC

Severity: minor

Fixed in version openslp-dfsg/1.2.1-7.7

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#279297; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to "J. D. Nurmi" <jdnurmi@gmail.com>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "J. D. Nurmi" <jdnurmi@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slapd: Slapd depends on slpd, starts in wrong order
Date: Mon, 01 Nov 2004 22:03:50 -0800
Package: slapd
Version: 2.1.30-3
Severity: important

If slpd is not started on the system/network, slapd fails to start in a
reasonable time frame (unknown if it starts, it delayed upwards of 3
minutes before I killed it).

If you set slpd to S18 priority, it works perfectly, I imagine setting
slapd to S21 would equally work.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.4
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages slapd depends on:
ii  coreutils [fileutils]       5.2.1-2      The GNU core utilities
ii  debconf                     1.4.29       Debian configuration management sy
ii  libc6                       2.3.2.ds1-17 GNU C Library: Shared libraries an
ii  libdb4.2                    4.2.52-16    Berkeley v4.2 Database Libraries [
ii  libgcrypt11                 1.2.0-6      LGPL Crypto library - runtime libr
ii  libgnutls11                 1.0.16-8     GNU TLS library - runtime library
ii  libgpg-error0               1.0-1        library for common error values an
ii  libiodbc2                   3.51.2-2     iODBC Driver Manager
ii  libldap2                    2.1.30-3     OpenLDAP libraries
ii  libltdl3                    1.5.6-2      A system independent dlopen wrappe
ii  libsasl2                    2.1.19-1.1   Authentication abstraction library
ii  libslp1                     1.0.11-7     OpenSLP libraries
ii  libwrap0                    7.6.dbs-4    Wietse Venema's TCP wrappers libra
ii  perl [libmime-base64-perl]  5.8.4-2.3    Larry Wall's Practical Extraction 
ii  psmisc                      21.5-1       Utilities that use the proc filesy
ii  zlib1g                      1:1.2.1.1-5  compression library - runtime

-- debconf information:
  slapd/fix_directory: true
* shared/organization: qwe.cc
  slapd/upgrade_slapcat_failure:
* slapd/backend: BDB
* slapd/allow_ldap_v2: false
* slapd/no_configuration: false
* slapd/move_old_database: true
  slapd/suffix_change: false
  slapd/slave_databases_require_updateref:
  slapd/autoconf_modules: true
* slapd/domain: qwe.cc
  slapd/password_mismatch:
  slapd/invalid_config: true
  slapd/upgrade_slapadd_failure:
* slapd/purge_database: true
  slapd/admin:



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#279297; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 279297@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: "J. D. Nurmi" <jdnurmi@gmail.com>, 279297@bugs.debian.org
Cc: rganesan@debian.org
Subject: Re: Bug#279297: slapd: Slapd depends on slpd, starts in wrong order
Date: Tue, 9 Nov 2004 01:58:50 +0100
[Message part 1 (text/plain, inline)]
Hi!

[Cc'ed to OpenSLP maintainer]

On Mon, Nov 01, 2004 at 10:03:50PM -0800, J. D. Nurmi wrote:
 
> If slpd is not started on the system/network, slapd fails to start in a
> reasonable time frame (unknown if it starts, it delayed upwards of 3
> minutes before I killed it).
> 
> If you set slpd to S18 priority, it works perfectly, I imagine setting
> slapd to S21 would equally work.

Interestingly enough I don't even have slpd installed and slapd works 
just fine. I don't have any knowledge currently on OpenSLP but I am (of
course) curious to learn something new :)

I'd expect that the delay is because slapd tries to register itself to
the slpd. As other services will have the same problem I'd expect that
it is a better idea to move slpd to be loaded earlier instead of moving
slapd in the startup sequence.

Ganesan, what's your stance on this?

Greetings

	Torsten
[signature.asc (application/pgp-signature, inline)]

Severity set to `minor'. Request was from t.landschoff@gmx.net (Torsten Landschoff) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#279297; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Ganesan Rajagopal <grajagop@cisco.com>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #17 received at 279297@bugs.debian.org (full text, mbox):

From: Ganesan Rajagopal <grajagop@cisco.com>
To: Torsten Landschoff <torsten@debian.org>
Cc: "J. D. Nurmi" <jdnurmi@gmail.com>, 279297@bugs.debian.org
Subject: Re: Bug#279297: slapd: Slapd depends on slpd, starts in wrong order
Date: Tue, 9 Nov 2004 10:30:30 +0530
On Tuesday 09 November 2004 06:28, Torsten Landschoff wrote:
> On Mon, Nov 01, 2004 at 10:03:50PM -0800, J. D. Nurmi wrote:
> > If slpd is not started on the system/network, slapd fails to start in a
> > reasonable time frame (unknown if it starts, it delayed upwards of 3
> > minutes before I killed it).
> >
> > If you set slpd to S18 priority, it works perfectly, I imagine setting
> > slapd to S21 would equally work.
>
> Interestingly enough I don't even have slpd installed and slapd works
> just fine. I don't have any knowledge currently on OpenSLP but I am (of
> course) curious to learn something new :)

SLP is used for service location. CUPS uses it to advertise printers. slapd 
advertises LDAP.

> I'd expect that the delay is because slapd tries to register itself to
> the slpd. As other services will have the same problem I'd expect that
> it is a better idea to move slpd to be loaded earlier instead of moving
> slapd in the startup sequence.
>
> Ganesan, what's your stance on this?

slpd does not have external dependenices, so I see no issues in moving slpd to 
S18 priority. SLP has a concept of a central server called a directory agent 
(DA)  (no relation to LDAP) for all service advertisements. When slpd starts 
up it multicasts looking for a DA. DA is not mandatory, SLP can work with 
multicast, but I assume this accounts for the delay in startup.

Ganesan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#279297; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 279297@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Ganesan Rajagopal <rganesan@debian.org>
Cc: 279297@bugs.debian.org
Subject: Re: Bug#279297: slapd: Slapd depends on slpd, starts in wrong order
Date: Fri, 01 Jun 2007 17:03:06 -0700
reassign 279297 slpd
retitle 279297 slpd: should start at 18 to start before slapd
thanks

Hi Ganesan,

About three years ago, there was a discussion of a bug filed against slapd
that it would stall on starting when it was trying to register itself with
slpd since slpd hadn't started yet.  It looks like at the time a consensus
was reached that slpd could start sooner:

> > I'd expect that the delay is because slapd tries to register itself to
> > the slpd. As other services will have the same problem I'd expect that
> > it is a better idea to move slpd to be loaded earlier instead of moving
> > slapd in the startup sequence.
> >
> > Ganesan, what's your stance on this?
> 
> slpd does not have external dependenices, so I see no issues in moving
> slpd to S18 priority. SLP has a concept of a central server called a
> directory agent (DA) (no relation to LDAP) for all service
> advertisements. When slpd starts up it multicasts looking for a DA. DA
> is not mandatory, SLP can work with multicast, but I assume this
> accounts for the delay in startup.

However, it looks like the slpd package was never changed and is still
starting at sequence number 20, one after slapd.

I'm going to reassign this bug to slpd on the assumption that the previous
discussion is correct.  Please let me know if something has since changed.

Thanks!

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Bug reassigned from package `slapd' to `slpd'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2007 00:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to `slpd: should start at 18 to start before slapd' from `slapd: Slapd depends on slpd, starts in wrong order'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2007 00:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ganesan Rajagopal <rganesan@debian.org>:
Bug#279297; Package slpd. (Thu, 19 Nov 2009 22:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Ganesan Rajagopal <rganesan@debian.org>. (Thu, 19 Nov 2009 22:03:02 GMT) Full text and rfc822 format available.

Message #31 received at 279297@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 279297@bugs.debian.org
Subject: Re: slpd: should start at 18 to start before slapd
Date: Thu, 19 Nov 2009 22:59:22 +0100
With the new dependency based boot sequencing, the ordering of these
scripts could be fixed by updating the LSB header in one of the
involved init.d scripts.  Perhaps it is time to fix this issue?

Either slpd should use x-start-before: slapd or slapd should use
should-start: xlpd to enforce the start order xlpd before slapd.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Tue, 06 Apr 2010 10:51:03 GMT) Full text and rfc822 format available.

Notification sent to "J. D. Nurmi" <jdnurmi@gmail.com>:
Bug acknowledged by developer. (Tue, 06 Apr 2010 10:51:03 GMT) Full text and rfc822 format available.

Message #36 received at 279297-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 279297-close@bugs.debian.org
Subject: Bug#279297: fixed in openslp-dfsg 1.2.1-7.7
Date: Tue, 06 Apr 2010 10:47:48 +0000
Source: openslp-dfsg
Source-Version: 1.2.1-7.7

We believe that the bug you reported is fixed in the latest version of
openslp-dfsg, which is due to be installed in the Debian FTP archive:

libslp-dev_1.2.1-7.7_i386.deb
  to main/o/openslp-dfsg/libslp-dev_1.2.1-7.7_i386.deb
libslp1_1.2.1-7.7_i386.deb
  to main/o/openslp-dfsg/libslp1_1.2.1-7.7_i386.deb
openslp-dfsg_1.2.1-7.7.diff.gz
  to main/o/openslp-dfsg/openslp-dfsg_1.2.1-7.7.diff.gz
openslp-dfsg_1.2.1-7.7.dsc
  to main/o/openslp-dfsg/openslp-dfsg_1.2.1-7.7.dsc
openslp-doc_1.2.1-7.7_all.deb
  to main/o/openslp-dfsg/openslp-doc_1.2.1-7.7_all.deb
slpd_1.2.1-7.7_i386.deb
  to main/o/openslp-dfsg/slpd_1.2.1-7.7_i386.deb
slptool_1.2.1-7.7_i386.deb
  to main/o/openslp-dfsg/slptool_1.2.1-7.7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 279297@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated openslp-dfsg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 06 Apr 2010 12:00:08 +0200
Source: openslp-dfsg
Binary: slpd openslp-doc libslp1 slptool libslp-dev
Architecture: source all i386
Version: 1.2.1-7.7
Distribution: unstable
Urgency: low
Maintainer: Ganesan Rajagopal <rganesan@debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 libslp-dev - OpenSLP development libraries
 libslp1    - OpenSLP libraries
 openslp-doc - OpenSLP documentation
 slpd       - OpenSLP Server (slpd)
 slptool    - SLP command line tool
Closes: 279297
Changes: 
 openslp-dfsg (1.2.1-7.7) unstable; urgency=low
 .
   * Non-maintainer upload to solve release goal.
   * Correct init.d script dependencies to make sure slpd
     starts before slapd (Closes: #279297).
   * Add homepage link in control file.
   * Add 'set -e' to libslp1 postrm and postinst, to make sure
     errors are not ignored.  Thanks, lintian, for the warning.
   * Add ${misc:Depends} as dependency for all binary packages.
     Thanks, lintian, for the warning.
Checksums-Sha1: 
 f1744a97374d1212f964c92b0b83048dac3d565e 1140 openslp-dfsg_1.2.1-7.7.dsc
 e974ddf4a16167c8d27a66290562adc1c543fecb 444571 openslp-dfsg_1.2.1-7.7.diff.gz
 e14543cd9daefaf9b77d1fdaf1de2ba2841ffabe 93324 openslp-doc_1.2.1-7.7_all.deb
 f3d8b0d2e2299aad3f8da4c8ac1d014a6c8e5de8 64618 slpd_1.2.1-7.7_i386.deb
 f8a7de31416d1eb4186c47b1a2abb2bb49359095 52362 libslp1_1.2.1-7.7_i386.deb
 92b56a88225e72c74cc64da1203ce04cb9994c83 21686 slptool_1.2.1-7.7_i386.deb
 dcc73ef21c3fff7204a08d8d1eee166d4c3bf1c2 31536 libslp-dev_1.2.1-7.7_i386.deb
Checksums-Sha256: 
 1a8c975fff45ec656a13627024c60a081c2ac1187ce915d57c3fe1b4bb576f61 1140 openslp-dfsg_1.2.1-7.7.dsc
 f148aa1b32e899ae912bb530368a52eb4c392f70e593ba2dd7c175ee3fb93844 444571 openslp-dfsg_1.2.1-7.7.diff.gz
 fc6471a34c1d1e5c5b701b618976b0517d59e9aeac3a06635f8a43f8bc831b5a 93324 openslp-doc_1.2.1-7.7_all.deb
 9c4df431b8bdf731a48c44be20280e9846420f017fbd788b53be94edd8a2b416 64618 slpd_1.2.1-7.7_i386.deb
 dfd12edd4780a202dec49fa7996d09e099e5e57a81274398aa98418f1dbd8203 52362 libslp1_1.2.1-7.7_i386.deb
 4905197a52f53d61a6c30b9e6188aedb75915263a40b02337c45b9b8ce2092d4 21686 slptool_1.2.1-7.7_i386.deb
 4987076dd7e8ecd83e4626b402fb076e2dad304eebc19833c9afc641b271580f 31536 libslp-dev_1.2.1-7.7_i386.deb
Files: 
 256923d833a37535703fa9a1162a95e9 1140 net extra openslp-dfsg_1.2.1-7.7.dsc
 42b49073dad1d44c796427af50afcd20 444571 net extra openslp-dfsg_1.2.1-7.7.diff.gz
 bd91effbca72d24a3c7b93366b3d8904 93324 doc extra openslp-doc_1.2.1-7.7_all.deb
 f35562d14775c27a4a232ddcc8d3520d 64618 net extra slpd_1.2.1-7.7_i386.deb
 9be745f55742b0e95ad5401a32222666 52362 libs optional libslp1_1.2.1-7.7_i386.deb
 977b8d7e12a0a6ef1c9f5ab390f39f17 21686 utils extra slptool_1.2.1-7.7_i386.deb
 bac685cd16f2072ae33a81ddd72edc83 31536 libdevel extra libslp-dev_1.2.1-7.7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLuw9z20zMSyow1ykRAsMJAKC34lFl9/zTciew+BWicZW7UkLSWwCeOp7V
nkheWqM7mZUyvFX5WGcW480=
=319A
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 May 2010 07:38:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:33:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.